include:
  - /apps/acng/install-acng

/etc/apt-cacher-ng/acng.conf:
  file.managed:
    - source: salt://apps/acng/files/acng.conf
    - source_hash: salt://apps/acng/files/hash
    - require:
      - sls: /apps/acng/install-acng

apt-cacher-ng_service:
  service.running:
    - name: apt-cacher-ng
    - watch:
      - file: /etc/apt-cacher-ng/acng.conf

{% for os, args in pillar.get('images', {}).items() %}
/var/www/html/{{ args['name'] }}:
  file.managed:
    - source:
      - {{ args['fallback_url'] }}
    - source_hash: {{ args['hash'] }}
    - require:
      - sls: /apps/acng/install-acng
{% endfor %}
