include:
  - /apps/ipsec/install-ipa

/etc/strongswan/ipsec.secrets:
  file.managed:
    - source: salt://apps/ipsec/files/ipa-ipsec.secrets
    - source_hash: salt://apps/ipsec/files/hash
    - template: jinja
    - defaults:
        ipa_ipsec_secret: {{ pillar['ipa_ipsec_secret'] }}
    - require:
      - sls: /apps/ipsec/install-ipa

/etc/strongswan/ipsec.conf:
  file.managed:
    - source: salt://apps/ipsec/files/ipa-ipsec.conf
    - source_hash: salt://apps/ipsec/files/hash

strongswan:
  service.running:
    - enable: true
    - watch:
      - /etc/strongswan/ipsec.conf
      - /etc/strongswan/ipsec.secrets
