include:
  - /system/disk/controller

/kvmfs/images:
  file.directory:
    - makedirs: True

{% for os, args in pillar.get('images', {}).items() %}
/kvmfs/images/{{ args['name'] }}:
  file.managed:
    - source: 
      - {{ args['primary_url'] }}
      - {{ args['fallback_url'] }}
    - source_hash: {{ args['hash'] }}
    - require:
      - /kvmfs/images
      - sls: /system/disk/controller

/kvmfs/images/{{ os }}-latest:
  file.symlink:
    - target: /kvmfs/images/{{ args['name'] }}
    - force: True
{% endfor %}
