include:
  - /apps/openstack/horizon/install-horizon

/etc/openstack-dashboard/local_settings.py:
  file.managed:
    - source: salt://apps/openstack/horizon/files/local_settings.py
    - source_hash: salt://apps/openstack/horizon/files/hash
    - template: jinja
    - defaults:
        memcached_servers: {{ pillar['memcached_servers']['address'] }}
        keystone_url: {{ pillar['keystone_configuration']['internal_endpoint']['url'] }}

/var/www/html/index.html:
  file.managed:
    - source: salt://apps/openstack/horizon/files/index.html
    - source_hash: salt://apps/openstack/horizon/files/hash

/var/lib/openstack-dashboard/secret_key:
  file.managed:
    - user: horizon
    - group: horizon

apache2_service:
  service.running:
    - name: apache2
    - watch:
      - file: /etc/openstack-dashboard/local_settings.py
      - file: /var/lib/openstack-dashboard/secret_key
