include:

{% if grains['reboot_required'] == true %}

  - /system/common/reboot

{% else %}

{% if (grains['status'] == 'preprov') or (grains['status'] == 'prov') or (grains['status'] == 'preprod') or (grains['status'] == 'prod') %}
  - /formulas/common/prov
  - /system/networking/compute
{% endif %}

{% if (grains['status'] == 'prov') or (grains['status'] == 'preprod') or (grains['status'] == 'prod') %}
  - /apps/openstack/common/uca
  - /apps/openstack/nova/install-nova-compute
  - /apps/openstack/neutron/install-neutron-compute
  - /apps/ceph/install-ceph-common
{% endif %}

{% if (grains['status'] == 'preprod') or (grains['status'] == 'prod') %}
  - /apps/openstack/nova/configure-nova-compute
  - /apps/openstack/neutron/configure-neutron-compute
  - /apps/ceph/conf-file
{% endif %}

{% if grains['status'] == 'preprov' %}
upgrade_status_to_prov:
  grains.present:
    - name: status
    - value: prov
    - force: true
    - require:
      - sls: /formulas/common/prov
      - sls: /system/networking/compute
{% endif %}

{% if grains['status'] == 'prov' %}
upgrade_status_to_preprod:
  grains.present:
    - name: status
    - value: preprod
    - force: true
    - require:
      - sls: /formulas/common/prov
      - sls: /system/networking/compute
      - sls: /apps/openstack/nova/install-nova-compute
      - sls: /apps/openstack/neutron/install-neutron-compute
{% endif %}

{% if (grains['status'] == 'preprod') or (grains['status'] == 'prod') %}
upgrade_status_to_prod:
  grains.present:
    - name: status
    - value: prod
    - force: true
    - require:
      - sls: /formulas/common/prov
      - sls: /system/networking/compute
      - sls: /apps/openstack/nova/install-nova-compute
      - sls: /apps/openstack/nova/configure-nova-compute
      - sls: /apps/openstack/neutron/install-neutron-compute
      - sls: /apps/openstack/neutron/configure-neutron-compute
{% endif %}

{% endif %}
