include:

{% if grains['reboot_required'] == true %}

  - /system/common/reboot

{% else %}

{% if (grains['status'] == 'preprov') or (grains['status'] == 'prov') or (grains['status'] == 'preprod') or (grains['status'] == 'prod') %}
  - /formulas/common/prov
  - /system/networking/controller
  - /system/disk/controller
{% endif %}

{% if (grains['status'] == 'prov') or (grains['status'] == 'preprod') or (grains['status'] == 'prod') %}
  - /apps/libvirt/install-libvirt
  - /apps/libvirt/config-images
{% endif %}

{% if (grains['status'] == 'preprod') or (grains['status'] == 'prod') %}
{% if grains['host'] == 'controller00' %}
  - /apps/mysql/create-mysql-0
  - /apps/rabbitmq/create-rabbitmq-0
  - /apps/memcached/create-memcached-0
  - /apps/haproxy/create-haproxy-0
  - /apps/openstack/keystone/create-keystone-0
  - /apps/openstack/glance/create-glance-0
  - /apps/openstack/nova/create-nova-0
  - /apps/openstack/neutron/create-neutron-0
  - /apps/openstack/horizon/create-horizon-0
  - /apps/openstack/heat/create-heat-0
  - /apps/ceph/mon/create-mon0
  - /apps/openstack/cinder/create-cinder-0
  - /apps/ceph/radosgw/create-radosgw-0
  - /apps/graylog/create-graylog-0
  - /apps/jproxy/create-jproxy-0
{% endif %}

{% if grains['host'] == 'controller01' %}
{% endif %}

{% if grains['host'] == 'controller02' %}
  - /apps/ceph/mon/create-mon2
  - /apps/openstack/glance/create-glance-2
  - /apps/openstack/nova/create-nova-2
  - /apps/openstack/neutron/create-neutron-2
  - /apps/openstack/neutron/create-neutron-4
{% endif %}

{% if grains['host'] == 'controller03' %}
  - /apps/acng/create-acng-0
  - /apps/ceph/mon/create-mon1
  - /apps/openstack/neutron/create-neutron-3
  - /apps/openstack/neutron/create-neutron-5
  - /apps/openstack/horizon/create-horizon-3
{% endif %}

{% if grains['host'] == 'controller04' %}
{% endif %}

{% if grains['host'] == 'controller05' %}
{% endif %}
{% endif %}

{% if grains['status'] == 'preprov' %}
upgrade_status_to_prov:
  grains.present:
    - name: status
    - value: prov
    - force: true
    - require:
      - sls: /formulas/common/prov
      - sls: /system/networking/controller
      - sls: /system/disk/controller
{% endif %}

{% if grains['status'] == 'prov' %}
upgrade_status_to_preprod:
  grains.present:
    - name: status
    - value: preprod
    - force: true
    - require:
      - sls: /formulas/common/prov
      - sls: /system/networking/controller
      - sls: /system/disk/controller
      - sls: /apps/libvirt/config-images
      - sls: /apps/libvirt/install-libvirt
{% endif %}

{% if (grains['status'] == 'preprod') or (grains['status'] == 'prod') %}
{% if grains['host'] == 'controller00' %}
upgrade_status_to_prod:
  grains.present:
    - name: status
    - value: prod
    - force: true
    - require:
      - sls: /formulas/common/prov
      - sls: /system/networking/controller
      - sls: /system/disk/controller
      - sls: /apps/libvirt/config-images
      - sls: /apps/libvirt/install-libvirt
      - sls: /apps/mysql/create-mysql-0
      - sls: /apps/rabbitmq/create-rabbitmq-0
      - sls: /apps/memcached/create-memcached-0
      - sls: /apps/haproxy/create-haproxy-0
      - sls: /apps/openstack/keystone/create-keystone-0
      - sls: /apps/openstack/glance/create-glance-0
      - sls: /apps/openstack/nova/create-nova-0
      - sls: /apps/openstack/neutron/create-neutron-0
      - sls: /apps/openstack/horizon/create-horizon-0
      - sls: /apps/openstack/heat/create-heat-0
      - sls: /apps/jproxy/create-jproxy-0
      - sls: /apps/ceph/mon/create-mon0
      - sls: /apps/openstack/cinder/create-cinder-0
      - sls: /apps/ceph/radosgw/create-radosgw-0
      - sls: /apps/graylog/create-graylog-0
{% endif %}

{% if grains['host'] == 'controller01' %}
upgrade_status_to_prod:
  grains.present:
    - name: status
    - value: prod
    - force: true
    - require:
      - sls: /formulas/common/prov
      - sls: /system/networking/controller
      - sls: /system/disk/controller
      - sls: /apps/libvirt/config-images
      - sls: /apps/libvirt/install-libvirt
{% endif %}

{% if grains['host'] == 'controller02' %}
upgrade_status_to_prod:
  grains.present:
    - name: status
    - value: prod
    - force: true
    - require:
      - sls: /formulas/common/prov
      - sls: /system/networking/controller
      - sls: /system/disk/controller
      - sls: /apps/libvirt/config-images
      - sls: /apps/libvirt/install-libvirt
      - sls: /apps/ceph/mon/create-mon2
      - sls: /apps/openstack/glance/create-glance-2
      - sls: /apps/openstack/nova/create-nova-2
      - sls: /apps/openstack/neutron/create-neutron-2
{% endif %}

{% if grains['host'] == 'controller03' %}
upgrade_status_to_prod:
  grains.present:
    - name: status
    - value: prod
    - force: true
    - require:
      - sls: /formulas/common/prov
      - sls: /system/networking/controller
      - sls: /system/disk/controller
      - sls: /apps/libvirt/config-images
      - sls: /apps/libvirt/install-libvirt
      - sls: /apps/acng/create-acng-0
      - sls: /apps/ceph/mon/create-mon1
      - sls: /apps/openstack/neutron/create-neutron-3
      - sls: /apps/openstack/horizon/create-horizon-3
{% endif %}

{% if grains['host'] == 'controller04' %}
upgrade_status_to_prod:
  grains.present:
    - name: status
    - value: prod
    - force: true
    - require:
      - sls: /formulas/common/prov
      - sls: /system/networking/controller
      - sls: /system/disk/controller
      - sls: /apps/libvirt/config-images
      - sls: /apps/libvirt/install-libvirt
{% endif %}

{% if grains['host'] == 'controller05' %}
upgrade_status_to_prod:
  grains.present:
    - name: status
    - value: prod
    - force: true
    - require:
      - sls: /formulas/common/prov
      - sls: /system/networking/controller
      - sls: /system/disk/controller
      - sls: /apps/libvirt/config-images
      - sls: /apps/libvirt/install-libvirt
{% endif %}
{% endif %}
{% endif %}
