include:

{% if grains['reboot_required'] == true %}

  - /system/common/reboot

{% else %}

{% if (grains['status'] == 'preprov') or (grains['status'] == 'prov') or (grains['status'] == 'preprod') or (grains['status'] == 'prod') %}
  - /formulas/common/prov
  - /system/networking/mysql
{% endif %}

{% if (grains['status'] == 'prov') or (grains['status'] == 'preprod') or (grains['status'] == 'prod') %}
  - /apps/mysql/install-mysql
  - /apps/mysql/install-python-pymysql
{% endif %}

{% if (grains['status'] == 'preprod') or (grains['status'] == 'prod') %}
  - /apps/mysql/configure-mysql
{% endif %}

{% if grains['status'] == 'preprov' %}
upgrade_status_to_prov:
  grains.present:
    - name: status
    - value: prov
    - force: true
    - require:
      - sls: /formulas/common/prov
      - sls: /system/networking/mysql
{% endif %}

{% if grains['status'] == 'prov' %}
upgrade_status_to_preprod:
  grains.present:
    - name: status
    - value: preprod
    - force: true
    - require:
      - sls: /formulas/common/prov
      - sls: /system/networking/mysql
      - sls: /apps/mysql/install-mysql
      - sls: /apps/mysql/install-python-pymysql
{% endif %}

{% if (grains['status'] == 'preprod') or (grains['status'] == 'prod') %}
upgrade_status_to_prod:
  grains.present:
    - name: status
    - value: prod
    - force: true
    - require:
      - sls: /formulas/common/prov
      - sls: /system/networking/mysql
      - sls: /apps/mysql/install-mysql
      - sls: /apps/mysql/configure-mysql
      - sls: /apps/mysql/install-python-pymysql
{% endif %}

{% endif %}
