include:

{% if grains['reboot_required'] == true %}
  - /system/common/reboot
{% else %}

{% if (grains['status'] == 'preprov') or (grains['status'] == 'prov') or (grains['status'] == 'preprod') or (grains['status'] == 'prod') %}
  - /formulas/common/prov
  - /system/networking/storage
{% endif %}

{% if (grains['status'] == 'prov') or (grains['status'] == 'preprod') or (grains['status'] == 'prod') %}
  - /apps/ceph/install-ceph
  - /apps/ceph/conf-file
  - /apps/ceph/admin-keyring
{% endif %}

{% if (grains['status'] == 'preprod') or (grains['status'] == 'prod') %}
  - /apps/ceph/osd/initialize-osd
{% endif %}

{% if grains['status'] == 'preprov' %}
upgrade_status_to_prov:
  grains.present:
    - name: status
    - value: prov
    - force: true
    - require:
      - sls: /formulas/common/prov
      - sls: /system/networking/storage
{% endif %}

{% if grains['status'] == 'prov' %}
upgrade_status_to_preprod:
  grains.present:
    - name: status
    - value: preprod
    - force: true
    - require:
      - sls: /formulas/common/prov
      - sls: /system/networking/storage
      - sls: /apps/ceph/install-ceph
      - sls: /apps/ceph/conf-file
      - sls: /apps/ceph/admin-keyring
{% endif %}

{% if (grains['status'] == 'preprod') or (grains['status'] == 'prod') %}
upgrade_status_to_prod:
  grains.present:
    - name: status
    - value: prod
    - force: true
    - require:
      - sls: /formulas/common/prov
      - sls: /system/networking/storage
      - sls: /apps/ceph/install-ceph
      - sls: /apps/ceph/conf-file
      - sls: /apps/ceph/admin-keyring
      - sls: /apps/ceph/osd/initialize-osd
{% endif %}

{% endif %}
