{% set base_octet = grains['ipv4'][0].split('.') %}

ens2f0:
  network.managed:
    - enabled: True
    - type: eth
    - proto: dhcp

ens2f1d1:
  network.managed:
    - enabled: True
    - type: eth
    - ipaddr: 10.30.{{ base_octet[2] }}.{{ base_octet[3] }}
    - netmask: 255.255.252.0

ens2f2d2:
  network.managed:
    - enabled: True
    - type: eth
    - ipaddr: 10.60.{{ base_octet[2] }}.{{ base_octet[3] }}
    - netmask: 255.255.252.0

ens2f3d3:
  network.managed:
    - enabled: True
    - type: eth
    - ipaddr: 10.50.{{ base_octet[2] }}.{{ base_octet[3] }}
    - netmask: 255.255.0.0

reboot_required:
  grains.present:
    - value: true
    - force: true
    - onchanges:
      - network: ens2f0
      - network: ens2f1d1
      - network: ens2f2d2
      - network: ens2f3d3
