include:
  - /system/networking/common/bridge-install

{% set base_octet = grains['ipv4'][0].split('.') %}

ens2f0:
  network.managed:
    - enabled: True
    - type: eth
    - bridge: mgmt_bridge
    - proto: manual
    - require:
      - sls: /system/networking/common/bridge-install

ens2f1d1:
  network.managed:
    - enabled: True
    - type: eth
    - bridge: sfe_bridge
    - proto: manual
    - require:
      - sls: /system/networking/common/bridge-install

ens2f2d2:
  network.managed:
    - enabled: True
    - type: eth
    - bridge: private_bridge
    - proto: manual
    - require:
      - sls: /system/networking/common/bridge-install

ens2f3d3:
  network.managed:
    - enabled: True
    - type: eth
    - bridge: public_bridge
    - proto: manual
    - require:
      - sls: /system/networking/common/bridge-install

mgmt_bridge:
  network.managed:
    - enabled: True
    - type: bridge
    - proto: dhcp
    - ports: ens2f0
    - require:
      - network: ens2f0

sfe_bridge:
  network.managed:
    - enabled: True
    - type: bridge
    - ipaddr: 10.30.{{ base_octet[2] }}.{{ base_octet[3] }}
    - netmask: 255.255.252.0
    - ports: ens2f1d1
    - require:
      - network: ens2f1d1

private_bridge:
  network.managed:
    - enabled: True
    - type: bridge
    - ipaddr: 10.60.{{ base_octet[2] }}.{{ base_octet[3] }}
    - netmask: 255.255.252.0
    - ports: ens2f2d2
    - require:
      - network: ens2f2d2

public_bridge:
  network.managed:
    - enabled: True
    - type: bridge
    - ipaddr: 10.50.{{ base_octet[2] }}.{{ base_octet[3] }}
    - netmask: 255.255.0.0
    - ports: ens2f3d3
    - require:
      - network: ens2f3d3

reboot_required:
  grains.present:
    - value: true
    - force: true
    - onchanges:
      - network: mgmt_bridge
      - network: sfe_bridge
      - network: public_bridge
      - network: private_bridge
