### Check for any newly-provisioned nodes without a status; give them a status of preprov.
### Install appropriate pubkeys in /root/.ssh/authorized_keys

base:
  '*bbh*mil or E@^(workstation|notebook)':
    - match: compound
    - formulas/common/preprov

### Run all nodes in preprov status through the prov state; apply the prov status if and 
### only if the prov state for the node class succeeds.

### Core Classes

  'P@status:(preprov|prov|preprod|prod) and E@^(controller)':
     - match: compound
     - formulas/class/controller

  'P@status:(preprov|prov|preprod|prod) and E@^(acng)':
     - match: compound
     - formulas/class/acng

  'P@status:(preprov|prov|preprod|prod) and E@^(compute)':
     - match: compound
     - formulas/class/compute

  'P@status:(preprov|prov|preprod|prod) and E@^(storage)':
     - match: compound
     - formulas/class/storage

  'P@status:(preprov|prov|preprod|prod) and E@^(cephmon)':
     - match: compound
     - formulas/class/cephmon

  'P@status:(preprov|prov|preprod|prod) and E@^(haproxy)':
     - match: compound
     - formulas/class/haproxy

  'P@status:(preprov|prov|preprod|prod) and E@^(mysql)':
     - match: compound
     - formulas/class/mysql

  'P@status:(preprov|prov|preprod|prod) and E@^(memcached)':
     - match: compound
     - formulas/class/memcached

  'P@status:(preprov|prov|preprod|prod) and E@^(rabbitmq)':
     - match: compound
     - formulas/class/rabbitmq

  'P@status:(preprov|prov|preprod|prod) and E@^(keystone)':
     - match: compound
     - formulas/class/keystone

  'P@status:(preprov|prov|preprod|prod) and E@^(horizon)':
     - match: compound
     - formulas/class/horizon

  'P@status:(preprov|prov|preprod|prod) and E@^(glance)':
     - match: compound
     - formulas/class/glance

  'P@status:(preprov|prov|preprod|prod) and E@^(nova)':
     - match: compound
     - formulas/class/nova

  'P@status:(preprov|prov|preprod|prod) and E@^(neutron)':
     - match: compound
     - formulas/class/neutron

  'P@status:(preprov|prov|preprod|prod) and E@^(heat)':
     - match: compound
     - formulas/class/heat

  'P@status:(preprov|prov|preprod|prod) and E@^(cinder)':
     - match: compound
     - formulas/class/cinder

  'P@status:(preprov|prov|preprod|prod) and E@^(radosgw)':
     - match: compound
     - formulas/class/radosgw

  'P@status:(preprov|prov|preprod|prod) and E@^(graylog)':
     - match: compound
     - formulas/class/graylog

  'P@status:(preprov|prov|preprod|prod) and E@^(magnum)':
     - match: compound
     - formulas/class/magnum

  'P@status:(preprov|prov|preprod|prod) and E@^(pxe)':
     - match: compound
     - formulas/class/pxe

  'P@status:(preprov|prov|preprod|prod) and E@^(jproxy)':
     - match: compound
     - formulas/class/jproxy

  'G@status:preprov and ipa*':
    - match: compound
    - formulas/class/ipa/prov

  'G@status:preprov and atlas*':
    - match: compound
    - formulas/class/atlas/prov

  'P@status:(preprov|prov|preprod|prod) and E@^(workstation|notebook)':
     - match: compound
     - formulas/class/clients
